Bug 150866 - CAN-2005-0399 mozilla GIF buffer overflow
Summary: CAN-2005-0399 mozilla GIF buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=critical,embargo=yes,source=mo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-11 15:21 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 19:14:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:335 high SHIPPED_LIVE Critical: mozilla security update 2005-03-23 05:00:00 UTC
Mozilla Foundation 285595 None None None Never

Description Josh Bressers 2005-03-11 15:21:12 UTC
The mozilla applications contain several image decoders for displaying images 
of various formats. Amoung the most common image formats is the Graphic 
Information File (GIF) format. The code for this parser is located in:

mozilla/modules/libpr0n/decoders/gif/GIF2.cpp

A vulnerability exists in the parsing of a Netscape-specific extension block 
that specifies a 32-bit size integer indicating how much image data the 
application should buffer, which is shown (taken from the gif_write() 
function).

Comment 1 Josh Bressers 2005-03-11 15:23:27 UTC
This issue should also affect RHEL3 and RHEL2.1

Comment 2 Josh Bressers 2005-03-16 00:40:39 UTC
This bug only covers RHEL4.  The RHEL2.1 and RHEL3 bug is now bug 151209

Comment 4 Josh Bressers 2005-03-23 18:34:05 UTC
Lifting embargo

Comment 5 Josh Bressers 2005-03-23 19:14:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-335.html



Note You need to log in before you can comment on or make changes to this bug.